<?php
require_once("dll.php");
$variables->getSafeVars(array_keys($_REQUEST));
set_time_limit(0);

/************************ Start compatibility restore support for CMS old versions ******************************/
/************************** Allows to put this file as standalone in admin folder ********************************/
if (!method_exists($system, 'restore')) {
    function restore() { // create backup functionality for for older CMS versions
        if (basename(dirname($_SERVER["PHP_SELF"])) != "admin") die("Please run Backup from admin folder");
        $rootPath = realpath('../'); // must be called from admin folder
        $zip_filename = 'uploads/backup.zip';
        if (is_file($zip_filename)) unlink($zip_filename); // make sure we wont backup any previous backup file
        $zip = new ZipArchive();
        $zip->open($zip_filename, ZipArchive::CREATE | ZipArchive::OVERWRITE);
        $files = new RecursiveIteratorIterator(
            new RecursiveDirectoryIterator($rootPath),
            RecursiveIteratorIterator::LEAVES_ONLY
        );
        foreach ($files as $name => $file) {
            if (!$file->isDir()) {
                $filePath = $file->getRealPath();
                $relativePath = substr($filePath, strlen($rootPath) + 1);
                $zip->addFile($filePath, $relativePath);
            }
        }
        $zip->close();
        $zip = file($zip_filename);
        return $zip;
    }
} else {
    function restore() {  // create a shortcut to system's restore method for newer CMS versions
        global $system;
        return $system->restore();
    }
}

/************************ End compatibility restore support for CMS old versions ******************************/


if (isset($restore_token) && $restore_token == $_SESSION['restore_token']) {
    if ($action == "restore") {
        $restored = false;
        unset($_SESSION['restore_token']); // use that token only once
        if (restore()) {
            $messages->addMessage(t("Το σύστημα επανήλθε στην προηγούμενη έκδοση"));
            $restored = "success";
        } else {
            $restored = "failed";
        }
    } else {
        die("Error: No valid action defined");
    }
}

?>
<!DOCTYPE html>
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <link rel="shortcut icon" href="favicon.ico">
    <title>Admin Panel</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="css/admin.css" rel="stylesheet" type="text/css">
    <link href="css/pagination.css" rel="stylesheet" type="text/css">
    <link href="css/sort.css" rel="stylesheet" type="text/css">
    <link rel="stylesheet" type="text/css" href="js/fancybox2/fancybox.css">
    <link type="text/css" href="css/select2/select2.css" rel="stylesheet">
    <link type="text/css" href="css/ui/jquery-ui-odyssey.css" rel="stylesheet">
    <link rel="stylesheet" media="all" type="text/css" href="css/jquery-impromptu.css">

    <script type="text/javascript" src="js/jquery.js"></script>
    <script type="text/javascript" src="js/admin.js"></script>
    <script type="text/javascript" src="js/cookies.js"></script>
    <script type="text/javascript" src="js/jquery-ui-All.min.js"></script>
    <script type="text/javascript" src="js/fancybox2/fancybox.js"></script>
    <script type="text/javascript" src="js/select2.min.js"></script>
    <script type="text/javascript" src="js/jquery-impromptu.js"></script>
    <style type="text/css">
        .update_action {
            margin-bottom: 20px;
        }

        .update_action_icon {
            display: table-cell;
            vertical-align: middle;
        }

        .update_action_completed {
            display: inline-block;
            padding-left: 30px;
            background: url("images/active_checked.png") left center no-repeat;
            margin-top: 7px;
            font-weight: bold;
            color: #9a2a54;
        }

        .update-action-btn {
            margin-bottom: 20px;
        }

        .update_found_new_version {
            background: url("images/tip.png") left center no-repeat;
        }

        .update_action_error {
            background: url("images/warning-small.png") left center no-repeat;
            text-align: left;
            display: inline-block;
            padding: 20px 20px 20px 30px;
            color: #d50000;
            font-size: 18px;
            font-style: italic;
        }

        #restore_container {
            text-align: center;
            padding-top: 50px;
        }

        #restore_results {
            display: table;
            margin: auto;
            max-width: 500px;
            text-align: justify
        }
    </style>
    <script>

        odyssey.update_has_error = false;

        jQuery(function ($) {
            $('#loading').css("display", "none");
            $('a[rel="open_sections"]').fancybox({
                width: 500,
                maxHeight: 500,
                fitToView: true,
                autoSize: false,
                type: 'iframe',
                arrows: false,
                helpers: {
                    overlay: {
                        css: {
                            'background': 'rgba(0, 0, 0, 0.8)'
                        }
                    },
                    title: null
                }
            });

            $('#restore_submit').on('click', function(){
                $('#restore_form').trigger('submit');
                var html = "<div id='restore_results'><?php echo t("Διαδικασία σε εξέλιξη, παρακαλώ περιμένετε...");?><div style='text-align:center; margin-top: 20px'><img src='images/loading_small.gif'></div></div>";
                $('#restore_container').html(html);
            });
            $(window).on('beforeunload', function(){
                $("#loading").hide();
            });

        });

        //-->
    </script>
</head>
<body>
<div id="backend">
    <div id="sortInfo"></div>
    <?php include("includes/loading.php"); ?>
    <section class="container">

        <?php include("header.php"); ?>
        <div class="group">
            <aside class="grid-4">
                <?php include("menu.php"); ?>
                &nbsp;
            </aside>

            <article class="grid-8">
                <div class="section_title"><?php echo t("ΕΠΑΝΑΦΟΡΑ ΣΥΣΤΗΜΑΤΟΣ"); ?></div>
                <div class="main">
                    <?php
                    if (!isset($restored)) {
                        $backup_sql = 'uploads/backup.sql';
                        $zip_filename = 'uploads/backup.zip';
                        if (!is_file($zip_filename) || !is_file($backup_sql)) {
                            $messages->addError(t("Δεν βρέθηκαν τα κατάλληλα αρχεία backup στην τοποθεσία /admin/uploads/"));
                            $messages->printSystemMessages();
                        } else {
                            ?>
                            <div id="restore_container">
                                <?php
                                echo t("Το σύστημα θα επανέλθει στην έκδοση και στα δεδομένα της προηγούμενης έκδοσης");
                                $messages->addError(t("Προσοχή! Αυτή η ενέργεια είναι μη αναστρέψιμη"));
                                $messages->printSystemMessages();
                                $restore_token = md5();
                                $_SESSION['restore_token'] = $restore_token;
                                ?>
                                <form id="restore_form" method="POST" action="system_restore.php">
                                    <div class="admin_form_element">
                                        <input id="restore_submit" class="btn btn-danger" value="<?php echo t("Επαναφορά Συστήματος"); ?>" type="button">
                                        <input name="category" value="<?php echo $category; ?>" type="hidden">
                                        <input name="action" value="restore" type="hidden">
                                        <input name="restore_token" value="<?php echo $restore_token; ?>" type="hidden">
                                    </div>
                                </form>
                            </div>
                            <?php
                        }
                    } else {
                        ?>
                        <div id="restore_results">
                            <?php
                            if ($restored == "success") {
                                $messages->printSystemMessages();
                                ?>
                                <div style="text-align: center"><a href="index.php" class="btn btn-success">OK</a></div>
                                <script>
                                    setTimeout(function () {
                                        window.location = "index.php";
                                    }, 4000);
                                </script>
                                <?php
                            }
                            if ($restored == "failed") {
                                $messages->addError(t("Η επαναφορά του συστήματος δεν ήταν επιτυχής"));
                                $messages->printSystemMessages();
                                echo "<br><br>" . t("Το σύστημα δεν επανήλθε στην προηγούμενη έκδοση γιατί υπήρξαν σφάλματα κατά την διαδικασία της αποκατάστασης") . ". ";
                                echo t("Θα πρέπει να επαναφέρετε το σύστημα στην προηγούμενη έκδοση, κάνοντας χρήση των αντιγράφων ασφαλείας μόνοι σας");
                            }
                            ?>
                        </div>
                        <?php
                    }
                    ?>
                </div>
            </article>
        </div>
        <?php include("footer.php"); ?>
    </section>
</div>
</body>
</html>