<?php
require_once("dll.php");
$langID = $language->getDefaultLanguage();
$variables->getSafeVars(array_keys($_REQUEST));

$ajaxMessage = t("Ενημέρωση σε εξέλιξη");
$ajaxMessage.= "<br>".t("Μην κλείσετε αυτό το παράθυρο μέχρι την ολοκλήρωση της");



?>
<!DOCTYPE HTML>
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <link href="css/admin.css" rel="stylesheet" type="text/css">
    <script type="text/javascript" src="js/jquery.js"></script>
    <script type="text/javascript" src="js/admin.js"></script>
    <style>
        html, body {
            height: 100%;
        }
        body {
            margin: 0;
            padding: 0;
            background-color: #fff;
            overflow: auto;
            font-family: Verdana, Arial, Helvetica, sans-serif;
            font-size: 13px;
            line-height: 20px;
            color: #9d9d9d;
            font-weight: normal;
        }
        #Smenu {
            background-color: #262626;
            padding: 0;
            margin: 0;
            border: 2px solid #7b7b7a;
            border-radius: 8px;
            -moz-border-radius: 8px;
            -webkit-border-radius: 8px;
            display: block;
            min-height: 596px;
        }
        .SmenuTitle {
            font-weight: normal;
            font-size: 18px;
            background-color: #444444;
            color: #ffffff !important;
            padding: 5px;
            text-align: center;
        }
        .version {
            text-align: center;
            padding: 50px;
            color: white;
            font-size: 60px;
        }
        #update_success, #update_failed, #update_progress {
            display: none;
        }
        #update_progress {
            text-align: center;
            padding: 30px;
            color: #f92978;
        }
        .ajax_msg {
            text-align: center;
            padding: 20px;
        }
        .errorMessage {
            background: #7a0000;
            font-size: 12px;
            padding: 10px;
            font-weight: normal;
        }
        .notifyMessage{
            background: #458a45;
            font-size: 12px;
            padding: 10px;
            font-weight: normal;
        }
    </style>
    <script type="text/javascript">

        function update(){
            $('#update_language').hide();
            $('#gear').attr("src", "images/rotating_gear.gif");
            $('#update_before_content').html("<div class='ajax_msg'><?php echo $ajaxMessage;?></div>");
            $('#update_progress').show();
            var timer = setInterval(function(){
                progress();
            }, 50);
            $.ajax({
                data: 'validRequest=1',
                url: 'update.php',
                success: function(data) {
                    data = data.trim();
                    console.log(data);
                    if(data.indexOf("ok") == 0 || data == '') {
                        setTimeout(function(){
                            $('#update_before').hide();
                            $('#update_messages').html(data.replace(/ok/, ""));
                            $('#update_success').show();
                        },200);
                    }else{
                        setTimeout(function(){
                            $('#update_before').hide();
                            $('#update_errors').html(data);
                            $('#update_failed').show();
                        },200);
                    }
                    clearInterval(timer);
                    $('#update_progress').hide();
                }
            });
        }

        function progress(){
            $.ajax({
                data: 'validRequest=1',
                url: 'update_progress.php',
                success: function(data) {
                    //console.log(data);
                    if(data)	$('#update_progress').html(data);
                }
            });
        }

    </script>
</head>
<body id="inner_page">
<div id="Smenu">
    <div style="border: 1px solid #262626">
        <div class="SmenuTitle">Updates</div>
        <div style="padding:15px; margin-left:10px;">
            <?php
            if($language->isMultilingualSite()){
                ?>
                <div style="text-align:right; margin:2px 26px 0 0;" id="update_language">
                    <label for="adminLanguage">Admin Language:</label>
                    <select id="adminLanguage"
                            name="adminLanguage"
                            class="adminLanguage_<?php echo ($langID == "1") ? "greek" : "english";?> listbox"
                            onchange="saveAdminLanguage(this, '<?php echo $index;?>')"
                            style="min-width:0 !important; background-color: white;">
                        <option value="1" <?php if($langID == "1") echo "selected";?>>Greek</option>
                        <option value="2" <?php if($langID == "2") echo "selected";?>>English</option>
                    </select>
                </div>
                <?php
            }
            ?>
            <div id="update_before">
                <?php
                $version = file("uploads/files/update/version.txt");
                $versionFrom = (float)$version[0];
                $versionTo = (float)$version[1];
                if($versionFrom && $versionTo && ($versionTo >= $versionFrom)){
                    $thisVersion = (float)$thisVersion;
                    if($versionFrom > $currentVersion){
                        ?>
                        <div style="text-align:center; padding:20px;"><img src="images/warning_big.png" width="40" height="40"  alt="warning"/></div>
                        <div id="update_before_failed" style="text-align:center">
                            <?php
                            echo t("Βρέθηκε μια <b>μη συμβατή έκδοση</b> ενημερώσης στο σύστημά σας")."<br>";
                            echo t("Σας συνιστούμε να επαναφέρετε κάποιο αντίγραφο ασφαλείας")."<br>";
                            echo t("Η αναβάθμιση δεν ήταν επιτυχής")."!<br>";
                            ?>
                            <div style="text-align:center; padding:20px;">
                                <input type="button" value="<?php echo t("Κλείσιμο");?>" class="btn btn-info" onclick="parent.$.fancybox.close()">
                            </div>
                        </div>
                        <?php
                    }else{
                        ?>
                        <div style="text-align:center; padding:20px;"><img id="gear" src="images/update.png" width="75" height="61"  alt="update"/></div>
                        <div id="update_before_content" style="text-align:center">
                            <?php
                            echo t("Υπάρχει μια ενημέρωση του συστήματος σε εξέλιξη")."<br>";
                            echo t("Η αναβάθμιση αυτή ενημερώνει το σύστημά σας στην έκδοση").": <div class='version'>".$versionTo."</div>";
                            ?>
                            <div style="text-align:center; padding:20px;">
                                <input type="submit" value="<?php echo t("Ολοκλήρωση της αναβάθμισης");?>" name="doUpdate" class="btn btn-success" onclick="update()">
                            </div>
                        </div>
                        <?php
                    }
                }
                ?>
            </div>
            <div id="update_progress"></div>
            <div id="update_success">
                <div style="text-align:center; padding:20px;">
                    <br>
                    <br>
                    <img src="images/ok.png" width="75" height="61"  alt="ok"/><br>
                    <br>
                    <?php
                    echo t("Η αναβάθμιση ολοκληρώθηκε με επιτυχία").".<br>";
                    ?>
                    <div id="update_messages"></div>
                </div>
                <div style="text-align:center; padding:20px;">
                    <input type="button" value="<?php echo t("Κλείσιμο");?>" class="btn btn-info" onclick="parent.window.location.reload(true)">
                </div>
            </div>
            <div id="update_failed">
                <div style="text-align:center; padding:20px;"><img src="images/warning_big.png" width="40" height="40"  alt="warning"/>
                    <br>
                    <br>
                    <?php
                    echo t("Παρουσιάστηκαν σφάλματα κατά την εγκατάσταση της ενημέρωσης")."<br>";
                    ?>
                    <div id="update_errors"></div>
                    <?php
                    echo t("Σας συνιστούμε να επαναφέρετε κάποιο αντίγραφο ασφαλείας")."<br>";
                    echo t("Η αναβάθμιση δεν ήταν επιτυχής")."!<br>";
                    if(is_file("uploads/backup.zip") && is_file("system_restore.php")){
                        ?>
                        <div style="text-align:center; padding:20px;">
                            <a style="display: inline-block;color: white;padding: 12px 30px;" href="system_restore.php" class="btn btn-danger"><?php echo t("Επαναφορά Συστήματος"); ?></a>
                        </div>
                        <?php
                    }
                    ?>
                </div>
                <div style="text-align:center; padding:20px;">
                    <input type="button" value="<?php echo t("Κλείσιμο");?>" class="btn btn-info" onclick="parent.$.fancybox.close()">
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>
