<?php 
error_reporting(E_ALL ^ E_NOTICE ^ E_WARNING ^ E_DEPRECATED); 
$rootPath = is_file("../../../../library/document.php") ? "../../../../" : "../../";
define("CMS", "korCMS");
include($rootPath."config/odyssey.ini.php");
include($rootPath."library/db.php");
include($rootPath."library/system.php");
include($rootPath."library/messages.php");
include($rootPath."library/variables.php");
include($rootPath."library/language.php");
include($rootPath."library/parameters.php");
include($rootPath."library/content.php");
include($rootPath."library/custom.php");
include($rootPath."library/admin_pagination.php");
include($rootPath."library/fileSystem.php");
include($rootPath."library/imageResize.php");
include($rootPath."library/authentication.php");
include($rootPath."library/document.php");
$db = new db();
$system = new system();
$messages = new messages();
$variables = new variables();
$language = new language();
$parameters = new parameters();
$custom = new custom();
$content = new content();
$content = new admin_pagination();
$fileSystem = new fileSystem();
$imageResize = new imageResize();
$authentication = new authentication(false, true);
$document = new document("", "", true);
$db->query("SET NAMES 'utf8'");

function getFPath(){
	$parts = explode("/", $_SERVER["PHP_SELF"]);
	array_shift($parts); // the first element will be empty to we get rid of it
	array_pop($parts); // get rid of script name
	$fPath =implode("/", $parts);
	if(substr($fPath, -1) != "/") $fPath.="/";
	$fPath = ($fPath == "/") ? null : $fPath;	
	return $fPath;	
}

$langID = ($_GET['langID']) ? (int)$_GET['langID'] : $language->getDefaultLanguage();
$Lsufix = ((int)$langID > 1) ? "_translated" : NULL;
$variables->getSafeVars(array_keys($_REQUEST));

$token1 = "38629649";
$token2 = "73972658";
list($stage1, $token2b) = explode($token2, $_REQUEST['u']);
list($token1b, $userID) = explode($token1, $stage1);
if(empty($userID)) die("Access denied");

// lets check if the section's record belongs to this user
$section = $system->getTableSectionName($sectionID);
$uid = $db->getRecord("select userID from $section where id='$linkID'")->userID;
if($uid <> $userID) die("Access denied");

$parameters->importParameters();
$isMultilingualSite = $language->isMultilingualSite();

function t($key, $langID=NULL, $context=NULL){ // shortcut of $language->getText($key, $langID=NULL, $context=NULL)
	global $language;
	global $langID;
	return $language->getText($key, $langID, $context);
}


?>
<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link href="<?php echo $rootPath;?>admin/css/admin.css" rel="stylesheet" type="text/css">
<link href="<?php echo $rootPath;?>css/bootstrap.buttons.css" rel="stylesheet" type="text/css">
<link href="<?php echo $rootPath;?>admin/css/sort.css" rel="stylesheet" type="text/css">
<link href="css/odyssey_users.css" rel="stylesheet" type="text/css">
<link type="text/css" href="<?php echo $rootPath;?>admin/css/ui/jquery-ui-odyssey.css" rel="stylesheet">
<script type="text/javascript" src="<?php echo $rootPath;?>js/jquery-1.4.2.min.js"></script>
<script type="text/javascript" src="<?php echo $rootPath;?>admin/js/admin.js"></script>
<script type="text/javascript" src="<?php echo $rootPath;?>admin/js/jquery-ui-All.min.js"></script>
<script type="text/javascript" src="<?php echo $rootPath;?>admin/js/jquery.ajaxform.js"></script>
<script type="text/javascript">
$(document).ready(function() {
	$("#sort-list-images").sortable({
		handle : '.handle',
		update : function () {
			var order = $('#sort-list-images').sortable('serialize');
			$("#sortInfo").load("<?php echo $rootPath;?>admin/sort.php?frontend=1&"+order+"&table=images");
		}
	});
	$("#sort-list-files").sortable({
		handle : '.handle',
		update : function () {
			var order = $('#sort-list-files').sortable('serialize');
			$("#sortInfo").load("<?php echo $rootPath;?>admin/sort.php?frontend=1&"+order+"&table=files");
		}
	});	
});

function setDragStyle(elm, typeOfEvent){
	if(typeOfEvent == "startDrag"){
		hideRecords();
		elm.parentNode.style.border="dashed 3px #4f9326";
		elm.parentNode.style.background="white";
	}else{
		elm.parentNode.style.border="dashed 3px transparent";
		elm.parentNode.style.borderBottom="dashed 3px silver";
	}
}

function showFields(id){
	hideRecords();
	$('#button_'+id).hide('fast');
	$('#record_'+id).show('fast');
}

function hideRecords(){
	$('.attachment_record').each(function(){
		$(this).hide('fast');
	});
	$('.attachment_button').each(function(){
		$(this).show('fast');
	});	
}

function saveForm(id){
	$('#submit_'+id).attr('value', '<?php echo t("Αποστολή δεδομένων");?>');
	$("#form_"+id).ajaxSubmit({
		url: '<?php echo $rootPath;?>admin/ajax_attachments.php?frontend=1', 
		type: 'post',
		success: showResponse
		});
}

function showResponse(responseText, statusText, xhr, $form)  { 
	if(statusText != "success"){
		alert("<?php echo t("Υπήρξε κάποιο πρόβλημα κατά την αποθήκευση των δεδομένων");?>");
	}else{
		var data = responseText.split("~~|~~");
		var id= data[0];
		var title = data[1];
		if(parseInt(id) > 0){
			$('#submit_'+id).attr('value', '<?php echo t("Αποθηκεύθηκε");?>');
			if(title) $('#caption_'+id).html(title);
			setTimeout(function(){
				$('#submit_'+id).attr('value', '<?php echo t("Αποθήκευση");?>');
				hideRecords();
			}, 2000);
		}else{
			alert("<?php echo t("Σφάλμα");?>: " + responseText);
		}
	}
}

function showHide(elm){
	default_obj = document.getElementById('default');
	slider_obj = document.getElementById('slider');
	logo_obj = document.getElementById('logo');
	if(elm.id == "logo"){
		if(elm.checked) {
			default_obj.checked = false;
			default_obj.disabled = true;
			slider_obj.checked = false;
			slider_obj.disabled = true;			
		}else{
			default_obj.disabled = false;
			slider_obj.disabled = false;
		}		
	}
	if(elm.id == "slider"){
		if(elm.checked) {
			default_obj.checked = false;
			default_obj.disabled = true;
			logo_obj.checked = false;
			logo_obj.disabled = true;			
		}else{
			default_obj.disabled = false;
			logo_obj.disabled = false;
		}		
	}
} 

</script>


<style type="text/css">
<!--
body {
	margin:0;
	overflow: auto;
	max-width:800px;
}
-->
</style>
</head>
<body>
<div id="sortInfo"></div>

<?php 
$header=t("ΜΕΤΟΝΟΜΑΣΙΑ ή ΤΑΞΙΝΟΜΗΣΗ ΕΠΙΣΥΝΑΠΤΟΜΕΝΩΝ ΕΙΚΟΝΩΝ & ΑΡΧΕΙΩΝ");
 ?>
<div class="section_title" style="margin:0">
<img src="<?php echo $rootPath;?>makeHeader.php?text=<?php echo urlencode($header);?>&amp;fontSize=14&amp;fcolor=cdcdcd&amp;bgcolor=262626&amp;transparent=" alt="<?php echo $header;?>">
</div>
<?php	
$query_images = "SELECT distinct `bankID`, `id`, `default`, `slider`, `logo` FROM `images` WHERE `linkID`=".$linkID." AND `sectionID`=".$sectionID." order by sort";
$query_files = "SELECT distinct `bankID`, `id` FROM `files` WHERE `linkID`=".$linkID." AND `sectionID`=".$sectionID." order by sort";
$results_images=$db->query($query_images);
$results_files=$db->query($query_files);
$records_images = $db->getRows($results_images);
$records_files = $db->getRows($results_files);
if(!count($records_images) && !count($records_files)){
	?>
	<script>
	parent.$('#attachments_instructions').css('display','none');
	</script>	
	<div style="height:50px">&nbsp;</div>
	<?php
	$messages->addMessage(t("Δεν έχετε επισυνάψει ακόμα, κανένα αρχείο σε αυτή την εγγραφή")."!");
	$messages->printSystemMessages();
}
$w = 700;
?>

<div id="attachments_results" style="display:block; padding:0px; max-width:100%;">
<div style="text-align:right; margin: 5px 0;">
<input type="button" class="btn btn-warning" value="<?php echo t("Επιστροφή");?>" onclick="parent.$.fancybox.close()">
</div>
<div style="font-size: 10px; text-align:right;"><?php echo t("Για νέα ταξινόμηση σύρτε τα εικονίδια στην επιθυμητή θέση");?></div>


<ul id="sort-list-images" style="list-style-type:none">
<?php	
foreach($records_images as $row){
	$ext = $fileSystem->getExtensionByFileTypeID($fileSystem->getFileTypeID($row->bankID));
	 ?><form id="form_<?php echo $row->id;?>" >
	 <li id="listItem_<?php echo $row->id;?>" style="border-bottom: dashed 3px silver; padding-bottom:5px">
	<div class="handle" onmousedown="setDragStyle(this, 'startDrag');" onmouseup="setDragStyle(this, 'stopDrag');" style="display:inline-block; float:left;">
	<img src="images/arrow.png" alt="move" width="24" height="24" align="absmiddle" style="margin-bottom: -30px; position:relative; z-index:100; cursor:move">
	<span class="sort_title" onselectstart="return false;" onmousedown="return false;">	
	<div class="delete_attachment_container" style="padding-top:15px; height: 100px; overflow:hidden; margin-right:20px">
	<?php 
	$title = $fileSystem->getFileTitle("images", $row->id, $linkID, $row->bankID);
	$temp =$db->query("select * from images where id='$row->id'");
	$temprow = $db->getRow($temp);
	if($temprow->default) $title.="<br>(Default)";
	if($temprow->logo) $title.="<br>(Logo)";
	if($temprow->slider) $title.="<br>(Slider)";
	?>
	<img src="<?php echo $rootPath;?>mediabank/thumbs/small_<?php  echo $row->bankID.'.'.$ext;?>?r=<?php  echo @time();?>" border="0">
	</div>
	</span>
	</div>
	<a id="button_<?php echo $row->id;?>" class="btn btn-info attachment_button" href="javascript:void(0)" style="display:block;clear:both;max-width: 150px;margin-top: 5px;" onclick="showFields('<?php echo $row->id;?>');"><?php echo t("Εμφάνιση στοιχείων προς επεξεργασία");?></a>
	
	<div id="record_<?php echo $row->id;?>" class="normal attachment_record" style="float:left;margin:20px 0; width:300px; max-width:95%;display:none;">
	<?php
	$Lresult =$db->query("SELECT * FROM languages WHERE active=1 ");
	$LRecords = $db->getRows($Lresult);
	$fileID = $row->id;
	foreach($LRecords as $Lrow) {
		$languageID = $Lrow->id;
		$title = $db->getRecord("select title from content_images where imgID='$fileID' and langID='$languageID'")->title;
		$extension = ($Lrow->extension) ? $Lrow->extension : '_gr';
		?>
        <div>
        <?php
		if($isMultilingualSite){ 
		?>
		<img class="admin_label_flag" src="<?php echo $rootPath;?>mediabank/flags/flag<?php  echo $extension;?>.png">
		<?php 
		} 
		?>
        
		<div class="admin_label"><?php echo t("Τίτλος");?> <?php  if($Lrow->extension && $isMultilingualSite){echo(' '.t("στα").' '.$Lrow->{title.$Lsufix});}?>: </div>
		<div style="clear:both">
		<input name="title<?php  echo $extension;?>" type="text" class="listbox" id="title<?php  echo $extension;?>" value="<?php echo $title;?>" style="width:100%"></div>
        </div>
		<?php 
}
	foreach($LRecords as $Lrow) {
		$languageID = $Lrow->id;
		$description = $db->getRecord("select description from content_images where imgID='$fileID' and langID='$languageID'")->description;
		$extension = ($Lrow->extension) ? $Lrow->extension : '_gr';
		?>
        <div>
        <?php		
		if($isMultilingualSite){ 
		?>
		<img class="admin_label_flag" src="<?php echo $rootPath;?>mediabank/flags/flag<?php  echo $extension;?>.png">
		<?php 
		} 
		?> 		
		<div class="admin_label"><?php echo t("Περιγραφή");?> <?php  if($Lrow->extension  && $isMultilingualSite){echo(' '.t("στα").' '.$Lrow->{title.$Lsufix});}?>: 
</div>
		<div style="clear:both">
		<textarea name="description<?php  echo $extension;?>" style="width:100%" rows="3" class="listbox" id="description<?php  echo $extension;?>"><?php  echo(stripslashes($description));?></textarea></div>
        </div>
		<?php 
}
$default_attr = ($row->default) ? "checked" : NULL;
$default_attr = ($row->slider || $row->logo) ? "disabled" : $default_attr;
$slider_attr = ($row->slider) ? "checked" : NULL;
$slider_attr = ($row->logo) ? "disabled" : $slider_attr;
$logo_attr = ($row->logo) ? "checked" : NULL;
$logo_attr = ($row->slider) ? "disabled" : $logo_attr;
?>
	<div class="admin_label">
    <div style="float:left; margin: 0 5px 0 0"><input name="default" id="default" type="checkbox" value="1" <?php echo $default_attr;?>></div>
	<?php echo t("να θεωρείται η εξ ορισμού κύρια εικόνα");?>
    </div>
	<div class="admin_label">
    <div style="float:left; margin: 0 5px 0 0"><input name="slider" id="slider" type="checkbox" value="1" <?php echo $slider_attr;?> onClick="showHide(this)"></div>
    <?php echo t("να χρησιμοποιηθεί μόνο σε slider");?>
    </div>
	<div class="admin_label">
    <div style="float:left; margin: 0 5px 0 0"><input name="logo" id="logo" type="checkbox" value="1" <?php echo $logo_attr;?> onClick="showHide(this)"></div>
	<?php echo t("να χρησιμοποιηθεί ως logo (λογότυπο)");?>
    </div>
	<input name="writedata" type="hidden" id="writedata" value="1">
	<input name="attachment_section" type="hidden" value="images">
	<input name="linkID" type="hidden" id="linkID" value="<?php  echo $linkID;?>">
	<input name="fileID" type="hidden" id="fileID" value="<?php  echo $row->id;?>">
	<input name="sectionID" type="hidden" id="sectionID" value="<?php  echo $sectionID;?>">
	<div style="margin:15px"><input id="submit_<?php echo $row->id;?>" type="button" class="btn btn-success" value="<?php echo t("Αποθήκευση");?>" onclick="saveForm('<?php echo $row->id;?>');"></div>		
	</div>
	<div style="clear:both;"></div>
	</li></form>
	<?php 
}
?>
</ul>
</div>



<?php
if(count($records_files)){
	$text = t("Άλλοι τύποι αρχείων");
	echo '<div class="section_subtitle"><img src="../makeHeader.php?text='.urlencode($text).'&amp;fontSize=15&amp;fcolor=ffffff&amp;bgcolor=b3b3b3" alt="'.$text.'" ></div>';
}
?>
<ul id="sort-list-files" style="list-style-type:none">
<?php	
foreach($records_files as $row){
	$fileID = $row->id;
	$ext = $fileSystem->getExtensionByFileTypeID($fileSystem->getFileTypeID($row->bankID));
	 ?><form id="form_<?php echo $row->id;?>" >
	 <li id="listItem_<?php echo $row->id;?>" style="border-bottom: dashed 3px silver; padding-bottom:5px">
	<div class="handle" onmousedown="setDragStyle(this, 'startDrag');" onmouseup="setDragStyle(this, 'stopDrag');" style="display:inline-block;">
	<img src="images/arrow.png" alt="move" width="24" height="24" align="absmiddle" style="margin-bottom: -30px; position:relative; z-index:100; cursor:move">
	<span class="sort_title" onselectstart="return false;" onmousedown="return false;">	
	<div class="delete_attachment_container" style="padding-top:15px; height: 100px; overflow:hidden">
	<?php 
	$title = $fileSystem->getFileTitle("files", $row->id, $linkID, $row->bankID);
	?>
	<img src="<?php echo $domainPath.getFPath();?>mediabank/icons/filetype_<?php  echo $ext;?>.gif" border="0"><br>
	<span id="caption_<?php echo $row->id;?>"><?php  echo $db->getRecord("select title from content_files where fileID='$fileID' and langID='1'")->title;?></span>
	</div>
	</span>
	</div>
	<a id="button_<?php echo $row->id;?>" class="btn btn-info attachment_button" href="javascript:void(0)" style="float:right;margin:60px 230px 0 0;" onclick="showFields('<?php echo $row->id;?>');"><?php echo t("Εμφάνιση στοιχείων προς επεξεργασία");?></a>
	
	<table id="record_<?php echo $row->id;?>"  border="0" cellpadding="0" cellspacing="5" class="normal attachment_record" style="float:right;margin:20px 0; display:none;">
	<?php
	$Lresult =$db->query("SELECT * FROM languages WHERE active=1 ");
	$LRecords = $db->getRows($Lresult);
	foreach($LRecords as $Lrow) {
		$languageID = $Lrow->id;
		$title = $db->getRecord("select title from content_files where fileID='$fileID' and langID='$languageID'")->title;
		$extension = ($Lrow->extension) ? $Lrow->extension : '_gr';
		?>
		<tr>
		<td align="right" valign="top"><?php echo t("Τίτλος");?> <?php  if($Lrow->extension && $isMultilingualSite){echo(' '.t("στα").' '.$Lrow->{title.$Lsufix});}?>: 
		<?php if($isMultilingualSite){ ?>
		<img  style="padding:1px; border:1px solid black; margin-bottom:-7px;" src="../mediabank/flags/flag<?php  echo $extension;?>.png">
		<?php 
} ?>
		</div>
		<td valign="top">
		<input name="title<?php  echo $extension;?>" type="text" class="listbox" id="title<?php  echo $extension;?>" value="<?php echo $title;?>" style="width:100%"></div>
		</tr>
		<?php 
}

?>	
	<tr>
	<td>	
	<input name="writedata" type="hidden" id="writedata" value="1">
	<input name="attachment_section" type="hidden" value="files">
	<input name="linkID" type="hidden" id="linkID" value="<?php  echo $linkID;?>">
	<input name="fileID" type="hidden" id="fileID" value="<?php  echo $row->id;?>">
	<input name="sectionID" type="hidden" id="sectionID" value="<?php  echo $sectionID;?>">
	</div>
	<td><input id="submit_<?php echo $row->id;?>" type="button" class="btn btn-success" value="<?php echo t("Αποθήκευση");?>" onclick="saveForm('<?php echo $row->id;?>');"></div>
	</tr>			
	</table>
	
	<div style="clear:both;"></div>
	</li></form>
	<?php 
}
?>
</ul>






</div>
<div style="height:40px;"></div>
</body>
</html>
