<?php
//define this module's name and path
$mn = "odyssey_camera_slider";
include("modules/modules.php");

/*
Available variables:
All system classes
All request variables
$p (the template path)
$mp (the module path)
$sufixID (id sufix for this module's divs)
*/

$imageFiles = explode(",", $moduleParameters["imageFiles"]);
if($imageFiles[0] == "") $imageFiles = array(); // fix bug of empty content array
$slides = array();
$thumbs = array();
$alt = array();
foreach($imageFiles as $slide){
	$mediabankID = $fileSystem->getFileBaseName($slide);
	$slides[] = "mediabank/images/".$slide;
	$thumbs[] = "mediabank/thumbs/small_".$slide;
	$alt[] = t($fileSystem->getMediabankTitle($mediabankID));
}

$dataSource = $moduleParameters['dataSource'];
$dataSource = ($dataSource == "auto" || empty($dataSource)) ? $section : $dataSource;
if($system->getTableSectionID($dataSource)) { // only if a valid section


$sliderWidth = $moduleParameters["sliderWidth"];
$sliderHeight = $moduleParameters["sliderHeight"];
 // προσθέτουμε το επίθεμα px αν δεν έχει δοθεί σε κάποια τιμή
if(!preg_match('/px$/', $sliderWidth) || !preg_match('/%$/', $sliderWidth)) $sliderWidth = (int)$sliderWidth."px";
if((!preg_match('/px$/', $sliderHeight) || !preg_match('/%$/', $sliderHeight)) && (int)$sliderHeight) $sliderHeight = (int)$sliderHeight."px";

$imageType = ($moduleParameters["imageType"] == "none") ? NULL : $moduleParameters["imageType"];
$transitionDuration = (int)$moduleParameters["transitionDuration"];
$pauseTime = (int)$moduleParameters["pauseTime"];
$autoPlay = ($moduleParameters['autoPlay'] == "__EMPTY__" || empty($moduleParameters['autoPlay'])) ? "false" : "true";
$showNavigationBackgroundColor = ($moduleParameters['showNavigationBackgroundColor'] == "__EMPTY__" || empty($moduleParameters['showNavigationBackgroundColor'])) ? false : true;
$pauseOnHover = ($moduleParameters['pauseOnHover'] == "__EMPTY__" || empty($moduleParameters['pauseOnHover'])) ? "false" : "true";
$navigationEnabled = ($moduleParameters['navigationEnabled'] == "__EMPTY__" || empty($moduleParameters['navigationEnabled'])) ? "false" : "true";
$showNavigationOnHover = ($moduleParameters['showNavigationOnHover'] == "__EMPTY__" || empty($moduleParameters['showNavigationOnHover'])) ? "false" : "true";
$navigationControlsColor = $moduleParameters["navigationControlsColor"];
$showPagination = ($moduleParameters['showPagination'] == "__EMPTY__" || empty($moduleParameters['showPagination'])) ? "false" : "true";
$showThumbnails = ($moduleParameters['showThumbnails'] == "__EMPTY__" || empty($moduleParameters['showThumbnails'])) ? "false" : "true";
$showCaptions = ($moduleParameters['showCaptions'] == "__EMPTY__" || empty($moduleParameters['showCaptions'])) ? false : true;
$loader = $moduleParameters["loader"];
$slicedEffectColoumns = (int)$moduleParameters["slicedEffectColoumns"];
$slicedEffectRows = (int)$moduleParameters["slicedEffectRows"];
$effectType = $moduleParameters["effectType"];
$easingType = $moduleParameters["easingType"];
$showPattern = ($moduleParameters['showPattern'] == "__EMPTY__" || empty($moduleParameters['showPattern'])) ? false : true;
$sliderMarginTop = (int)$moduleParameters["sliderMarginTop"];
$sliderMarginLeft = (int)$moduleParameters["sliderMarginLeft"];

list($posX, $posY, $stepX, $stepY, $sprite) = explode("|||", $moduleParameters['iconImageFile']);
$patterns = array();
$patterns['0_0'] = "1";
$patterns['-19_0'] = "2";
$patterns['-38_0'] = "3";
$patterns['-57_0'] = "4";
$patterns['0_-38'] = "5";
$patterns['-19_-38'] = "6";
$patterns['-38_-38'] = "9";
$patterns['-57_-38'] = "10";
$patternIndex = $patterns[$posX."_".$posY];

?>
<style type="text/css">
.camera_thumbs_cont {
	background: none !important;
}
<?php
if(!$showNavigationBackgroundColor){
?>
.camera_prevThumbs, .camera_nextThumbs, .camera_prev, .camera_next, .camera_commands {
	background: none !important;
}
<?php
}
if($sliderHeight){
?>
.cameraSlide img{
	max-height: <?php echo $sliderHeight;?> !important;
}
<?php
}
?>
</style>

<script type="text/javascript">
	jQuery(function(){
		jQuery('#camera_wrap_<?php echo $mn.$sufixID;?>').camera({
			thumbnails: <?php echo $showThumbnails;?>,
			easing: '<?php echo $easingType;?>',
			fx: '<?php echo $effectType;?>',
			hover: <?php echo $pauseOnHover;?>,
			loader: '<?php echo $loader;?>',
			navigation: <?php echo $navigationEnabled;?>,
			navigationHover: <?php echo $showNavigationOnHover;?>,
			pagination: <?php echo $showPagination;?>,
			playPause: false,
			time: <?php echo $pauseTime;?>,
			transPeriod: <?php echo $transitionDuration;?>,
			pauseOnClick: false
		});
	});
</script>


<div style="margin-top: <?php echo $sliderMarginTop;?>px; margin-left: <?php echo $sliderMarginLeft;?>px; max-width: <?php echo $sliderWidth;?>;">
	<div class="camera_wrap camera_<?php echo $navigationControlsColor;?>_skin <?php if($showPattern){echo "pattern_".$patternIndex;}?>" id="camera_wrap_<?php echo $mn.$sufixID;?>" style="max-height: <?php echo $sliderHeight;?> !important;">
<?php
$counter = 0;
foreach($slides as $slide){
?> 
	    <div data-thumb="<?php echo $thumbs[$counter];?>" data-src="<?php echo $slide;?>">
	    <?php
	    if($showCaptions){
	?>
		<div class="camera_caption fadeFromBottom">
		    <?php echo $alt[$counter];?>
		</div>
		<?php
	    }
	    ?>
	    </div>
<?php
$counter++;
}



if($imageType){ // if an image type has been set, continue with any section images
  $table = $dataSource;
  $sectionID = $system->getTableSectionID($table);
  $content_table = "content_".$table;
  $q = "select $content_table.title, $table.id from $table, $content_table where 
  $table.active=1 
  and $table.id=$content_table.mainID 
  and $content_table.langID='$langID' 
  order by $table.id desc, $table.sort";
  $records = $db->getRecords($q);
  foreach($records as $row){
    $title = $row->title;
    $articleID = $row->id;
    $imgQuery = "select mediabank.id as id, mediabank.filetypeID as fileTypeID, content_images.title from mediabank, images, content_images  
    where images.sectionID='$sectionID' 
    and images.linkID='$articleID' 
    and mediabank.id=images.bankID 
    and content_images.imgID=images.id 
    and content_images.langID='$langID'";
    if($imageType == 'default') $imgQuery.=" and images.default=1";
    if($imageType == 'slider') $imgQuery.=" and images.slider=1";
    if($imageType == 'logo') $imgQuery.=" and images.logo=1";
    $images = $db->getRecords($imgQuery);
    foreach($images as $image){
      $ext = $fileSystem->getExtensionByFileTypeID($image->fileTypeID);
      $slide = "mediabank/images/".$image->id.".".$ext;
      $thumb = "mediabank/thumbs/small_".$image->id.".".$ext;
      $caption = $image->title;
	 
  ?>
        
        <div data-thumb="<?php echo $thumb;?>" data-src="<?php echo $slide;?>">
        <?php
        if($showCaptions){
    ?>
      <div class="camera_caption fadeFromBottom">
          <a href="<?php $sef->url("index.php?section=".$dataSource."&view=node&id=".$articleID."&langID=".$langID);?>"><?php echo $caption;?></a>
      </div>
      <?php
        }
        ?>
        </div>
          
        <?php
    }
  }
}
?>	
	</div>
</div>
<div style="clear:both"></div>
<?php
}
?>
